Package org.apache.felix.http.base.internal.handler

# Class HttpServiceServletHandler

java.lang.Object
org.apache.felix.http.base.internal.handler.ServletHandler
org.apache.felix.http.base.internal.handler.HttpServiceServletHandler

All Implemented Interfaces:
  `Comparable<ServletHandler>`

Direct Known Subclasses:
  `HttpServiceWebSocketServletHandler`

public class HttpServiceServletHandler extends ServletHandler
Servlet handler for servlets registered through the http service.

## Field Summary

### Fields inherited from class org.apache.felix.http.base.internal.handler.ServletHandler

`useCount`

## Constructor Summary

Constructors
Constructor
Description
`HttpServiceServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, jakarta.servlet.Servlet servlet)`
New handler
`HttpServiceServletHandler(ExtServletContext context, ServletInfo servletInfo, javax.servlet.Servlet servlet)`
New handler

## Method Summary

### Methods inherited from class org.apache.felix.http.base.internal.handler.ServletHandler

`compareTo, destroy, dispose, equals, getContext, getContextServiceId, getMultipartConfig, getMultipartSecurityContext, getName, getServlet, getServletInfo, handle, hashCode, init, setServlet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServiceServletHandler

public HttpServiceServletHandler(ExtServletContext context, ServletInfo servletInfo, javax.servlet.Servlet servlet)
New handler

Parameters:
  `context` - The context
  `servletInfo` - The servlet info
  `servlet` - The servlet

### HttpServiceServletHandler

public HttpServiceServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, jakarta.servlet.Servlet servlet)
New handler

Parameters:
  `contextServiceId` - The context id
  `context` - The context
  `servletInfo` - The servlet info
  `servlet` - The servlet